@import "post-thumb-item.css";

body .site.grid-container {
    background: url(../svg/use-case-main-bg-mob.svg) no-repeat;
    background-size: contain;
    background-position-y: 100px;
}

.single-post-hero{
    margin-top: 100px;
    padding: 80px 20px 40px;
}

.post-featured-col {
    margin-bottom: 40px;
}

.post-title-col .short-title h4 {
    text-align: left;
    margin-bottom: 36px;
}

.post-title-col h1 {
    font: var(--heading-4);
    letter-spacing: -0.05em;
}

.single-case_study .post-title-col h1 {
    margin-bottom: 36px;
}

.btn.download {
    margin-top: 28px;
}

.btn.download a, .btn.download a:visited {
    width: max-content;
}

.post-date .elementor-widget-container {
    margin-top: 32px;
    font: var(--text-small);
    font-weight: 700;
    color: var(--text-grey);
    text-transform: uppercase;
}

.single-post-content {
    padding: 0 20px;
}

.single-post-content h2 {
    font: var(--post-inner-h2);
    margin-bottom: 36px;
    /*margin-top: 64px;*/
    letter-spacing: -0.05em;
    background: var(--text-gradient-blue);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    max-width: max-content
}

.single-case_study .single-post-content h2 {
    margin: 30px 0;
    max-width: 250px;
}

.single-post-content ol,
.single-post-content ul {
    margin: 0 0 0 28px;
    font: var(--text-medium);
}

.single-post-content li {
    margin-bottom: 10px;
}

.single-post-content h3 {
    font: var(--post-inner-h3);
    margin-bottom: 24px;
    margin-top: 24px;
    letter-spacing: -0.05em;
    background: var(--text-gradient-blue);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    max-width: max-content
}

.single-post-content p {
    font: var(--text-medium);
    margin-bottom: 24px;
}

.single-post .single-post-content .elementor-widget-theme-post-content .post-image-wrapper {
    position: relative;
    margin: 77px auto 64px;
    max-width: 685px;
    box-shadow: 0 0 30px 7px #0000003d;
    border-radius: 20px;
    display: flex;
}

.single-post .single-post-content .elementor-widget-theme-post-content .post-image-wrapper img {
    position: relative;
    z-index: 2;
    border-radius: 20px;
}

.single-post .single-post-content .elementor-widget-theme-post-content .post-image-wrapper:before {
    content: '';
    position: absolute;
    border-radius: 20px;
    top: -13px;
    right: -8px;
    width: 100%;
    max-width: 650px;
    height: 95%;
    /*mix-blend-mode: screen;*/
    z-index: 1;
    background: var(--gradient-blue);
}

.single-post .single-post-content .wp-video {
    max-width: 100%;
    height: auto;
    margin: 64px auto;
}

.featured-slider {
    max-width: 1268px;
    border-radius: 20px;
    background-color: var(--light-grey);
    padding: 24px 24px 48px;
}

.featured-slider .swiper-pagination.swiper-pagination-clickable.swiper-pagination-bullets.swiper-pagination-horizontal {
    bottom: 25px;
    top: auto;
}

.featured-posts .short-title h4 {
    padding: 0 24px 16px;
    text-align: left;
}

.featured-posts .featured-slider.elementor-widget-loop-carousel .elementor-swiper-button svg {
    fill: none;
    height: 41px;
}

.award-featured-img {
    width: 260px;
}

.featured-posts {
    margin-top: 64px;
}

.download-buttons {
    display: flex;
    flex-direction: column;
    padding-top: 32px;
}

.download-btn {
    display: block;
    margin-bottom: 32px;
}

@media (min-width: 768px) {
    body .site.grid-container {
        background: url(../svg/use-case-main-bg.svg) no-repeat;
        background-size: cover;
        padding-bottom: 130px;
    }

    .single-post .single-post-content .elementor-widget-theme-post-content .post-image-wrapper {
        margin: 114px auto 90px;
    }

    .single-post .single-post-content .elementor-widget-theme-post-content .post-image-wrapper:before {
        top: -24px;
        right: -26px;
    }

    .award-featured-img {
        width: 330px;
        margin-right: 40px;
        margin-top: 62px;
    }

    .download-buttons {
        flex-direction: row;
    }
}

@media (min-width: 1025px) {
    .single-post-hero {
        padding: 70px 20px;
    }

    .post-title-col {
        width: 730px;
        max-width: 48vw;
    }

    .post-featured-col {
        margin-bottom: 0;
    }

    .image-square {
        margin-right: 40px;
        width: 100%;
    }

    .single-case_study .single-post-content h2 {
        max-width: max-content;
    }

    .btn.download {
        margin-top: 36px;
    }

    body.single-post .single-post-content .elementor-widget-theme-post-content {
        max-width: 1080px !important;
    }

    .single-post-content h2 {
        font-size: 33px;
    }

    .single-post-content h3 {
        font-size: 28px;
    }

    .featured-posts {
        margin-top: 80px;
    }

    .featured-slider {
        padding: 36px 95px 36px;
    }
}
